Arbor 3: FSM & BT Graph Editor 3.6.4

Public Member Functions | Static Public Member Functions | Properties | Events | List of all members
ParameterContainerInternal Class Reference

ParameterContainer. More...

Inheritance diagram for ParameterContainerInternal:

## Public Member Functions
Parameter | GetParameterFromIndex (int index)
| Get Parameter from index. More...
void | Refresh ()
| Editor only More...
Parameter | AddParam (string name, Parameter.Type type)
| Add a parameter. More...
Parameter | GetParam (string name)
| Get the parameters from the name. More...
int | GetParamID (string name)
| Get the parameters ID from the name. More...
Parameter | GetParam (int id)
| Get the parameters from the ID. More...
void | DeleteParam (Parameter parameter)
| Delete a parameter. More...
void | DeleteParam (string name)
| Delete the parameters by name. More...
void | DeleteParam (int id)
| Delete the parameters by ID. More...
string | MakeUniqueName (string name)
| It generates a name that does not overlap. More...
bool | IsParameterType (string name, Parameter.Type type)
| Determine the type of parameter. More...
bool | IsParameterType (int id, Parameter.Type type)
| Determine the type of parameter. More...
bool | SetFloat (string name, float value)
| It wants to set the value of the Float type. More...
bool | SetFloat (int id, float value)
| It wants to set the value of the Float type. More...
bool | TryGetFloat (string name, out float value)
| Get the value of the Float type. More...
bool | TryGetFloat (int id, out float value)
| Get the value of the Float type. More...
float | GetFloat (string name, float defaultValue=0.0f)
| Get the value of the Float type. More...
float | GetFloat (int id, float defaultValue=0.0f)
| Get the value of the Float type. More...
bool | GetFloat (string name, out float value)
| Get the value of the Float type. More...
bool | GetFloat (int id, out float value)
| Get the value of the Float type. More...
bool | SetInt (string name, int value)
| It wants to set the value of the Int type. More...
bool | SetInt (int id, int value)
| It wants to set the value of the Int type. More...
bool | TryGetInt (string name, out int value)
| Get the value of the Int type. More...
bool | TryGetInt (int id, out int value)
| Get the value of the Int type. More...
int | GetInt (int id, int defaultValue=0)
| Get the value of the Int type. More...
int | GetInt (string name, int defaultValue=0)
| Get the value of the Int type. More...
bool | GetInt (string name, out int value)
| Get the value of the Int type. More...
bool | GetInt (int id, out int value)
| Get the value of the Int type. More...
bool | SetLong (string name, long value)
| It wants to set the value of the Long type. More...
bool | SetLong (int id, long value)
| It wants to set the value of the Long type. More...
bool | TryGetLong (string name, out long value)
| Get the value of the Long type. More...
bool | TryGetLong (int id, out long value)
| Get the value of the Long type. More...
long | GetLong (string name, long defaultValue=0L)
| Get the value of the Long type. More...
long | GetLong (int id, long defaultValue=0L)
| Get the value of the Long type. More...
bool | GetLong (string name, out long value)
| Get the value of the Long type. More...
bool | GetLong (int id, out long value)
| Get the value of the Long type. More...
bool | SetBool (string name, bool value)
| It wants to set the value of the Bool type. More...
bool | SetBool (int id, bool value)
| It wants to set the value of the Bool type. More...
bool | TryGetBool (string name, out bool value)
| Get the value of the Bool type. More...
bool | TryGetBool (int id, out bool value)
| Get the value of the Bool type. More...
bool | GetBool (string name, bool defaultValue=false)
| Get the value of the Bool type. More...
bool | GetBool (int id, bool defaultValue=false)
| Get the value of the Bool type. More...
bool | GetBool (string name, out bool value)
| Get the value of the Bool type. More...
bool | GetBool (int id, out bool value)
| Get the value of the Bool type. More...
bool | SetString (string name, string value)
| It wants to set the value of the String type. More...
bool | SetString (int id, string value)
| It wants to set the value of the String type. More...
bool | TryGetString (string name, out string value)
| Get the value of the String type. More...
bool | TryGetString (int id, out string value)
| Get the value of the String type. More...
string | GetString (string name, string defaultValue="")
| Get the value of the String type. More...
string | GetString (int id, string defaultValue="")
| Get the value of the String type. More...
bool | GetString (string name, out string value)
| Get the value of the String type. More...
bool | GetString (int id, out string value)
| Get the value of the String type. More...
bool | IsEnum (int id)
| It wants to set the value of the Enum type. More...
bool | IsEnum (string name)
| It wants to set the value of the Enum type. More...
bool | SetEnumInt (string name, int value)
| It wants to set the value of the Enum type. More...
bool | SetEnumInt (int id, int value)
| It wants to set the value of the Enum type. More...
bool | TryGetEnumInt (string name, out int value)
| Get the value of the Enum type. More...
bool | TryGetEnumInt (int id, out int value)
| Get the value of the Enum type. More...
int | GetEnumInt (string name, int defaultValue=default(int))
| Get the value of the Enum type. More...
int | GetEnumInt (int id, int defaultValue=default(int))
| Get the value of the Enum type. More...
bool | SetEnum (string name, System.Enum value)
| It wants to set the value of the Enum type. More...
bool | SetEnum (int id, System.Enum value)
| It wants to set the value of the Enum type. More...
bool | TryGetEnum (string name, out System.Enum value)
| Get the value of the Enum type. More...
bool | TryGetEnum (int id, out System.Enum value)
| Get the value of the Enum type. More...
System.Enum | GetEnum (string name, System.Enum defaultValue=null)
| Get the value of the Enum type. More...
System.Enum | GetEnum (int id, System.Enum defaultValue=null)
| Get the value of the Enum type. More...
bool | SetEnum< TEnum > (string name, TEnum value)
| It wants to set the value of the Enum type. More...
bool | SetEnum< TEnum > (int id, TEnum value)
| It wants to set the value of the Enum type. More...
bool | TryGetEnum< TEnum > (string name, out TEnum value)
| Get the value of the Enum type. More...
bool | TryGetEnum< TEnum > (int id, out TEnum value)
| Get the value of the Enum type. More...
TEnum | GetEnum< TEnum > (string name, TEnum defaultValue)
| Get the value of the Enum type. More...
TEnum | GetEnum< TEnum > (string name)
| Get the value of the Enum type. More...
TEnum | GetEnum< TEnum > (int id, TEnum defaultValue)
| Get the value of the Enum type. More...
TEnum | GetEnum< TEnum > (int id)
| Get the value of the Enum type. More...
bool | SetVector2 (string name, Vector2 value)
| It wants to set the value of the Vector2 type. More...
bool | SetVector2 (int id, Vector2 value)
| It wants to set the value of the Vector2 type. More...
bool | TryGetVector2 (string name, out Vector2 value)
| Get the value of the Vector2 type. More...
bool | TryGetVector2 (int id, out Vector2 value)
| Get the value of the Vector2 type. More...
Vector2 | GetVector2 (string name, Vector2 defaultValue)
| Get the value of the Vector2 type. More...
Vector2 | GetVector2 (string name)
| Get the value of the Vector2 type. More...
Vector2 | GetVector2 (int id, Vector2 defaultValue)
| Get the value of the Vector2 type. More...
Vector2 | GetVector2 (int id)
| Get the value of the Vector2 type. More...
bool | GetVector2 (string name, out Vector2 value)
| Get the value of the Vector2 type. More...
bool | GetVector2 (int id, out Vector2 value)
| Get the value of the Vector2 type. More...
bool | SetVector3 (string name, Vector3 value)
| It wants to set the value of the Vector3 type. More...
bool | SetVector3 (int id, Vector3 value)
| It wants to set the value of the Vector3 type. More...
bool | TryGetVector3 (string name, out Vector3 value)
| Get the value of the Vector3 type. More...
bool | TryGetVector3 (int id, out Vector3 value)
| Get the value of the Vector3 type. More...
Vector3 | GetVector3 (string name, Vector3 defaultValue)
| Get the value of the Vector3 type. More...
Vector3 | GetVector3 (string name)
| Get the value of the Vector3 type. More...
Vector3 | GetVector3 (int id, Vector3 defaultValue)
| Get the value of the Vector3 type. More...
Vector3 | GetVector3 (int id)
| Get the value of the Vector3 type. More...
bool | GetVector3 (string name, out Vector3 value)
| Get the value of the Vector3 type. More...
bool | GetVector3 (int id, out Vector3 value)
| Get the value of the Vector3 type. More...
bool | SetQuaternion (string name, Quaternion value)
| It wants to set the value of the Quaternion type. More...
bool | SetQuaternion (int id, Quaternion value)
| It wants to set the value of the Quaternion type. More...
bool | TryGetQuaternion (string name, out Quaternion value)
| Get the value of the Quaternion type. More...
bool | TryGetQuaternion (int id, out Quaternion value)
| Get the value of the Quaternion type. More...
Quaternion | GetQuaternion (string name, Quaternion defaultValue)
| Get the value of the Quaternion type. More...
Quaternion | GetQuaternion (string name)
| Get the value of the Quaternion type. More...
Quaternion | GetQuaternion (int id, Quaternion defaultValue)
| Get the value of the Quaternion type. More...
Quaternion | GetQuaternion (int id)
| Get the value of the Quaternion type. More...
bool | GetQuaternion (string name, out Quaternion value)
| Get the value of the Quaternion type. More...
bool | GetQuaternion (int id, out Quaternion value)
| Get the value of the Quaternion type. More...
bool | SetRect (string name, Rect value)
| It wants to set the value of the Rect type. More...
bool | SetRect (int id, Rect value)
| It wants to set the value of the Rect type. More...
bool | TryGetRect (string name, out Rect value)
| Get the value of the Rect type. More...
bool | TryGetRect (int id, out Rect value)
| Get the value of the Rect type. More...
Rect | GetRect (string name, Rect defaultValue)
| Get the value of the Rect type. More...
Rect | GetRect (string name)
| Get the value of the Rect type. More...
Rect | GetRect (int id, Rect defaultValue)
| Get the value of the Rect type. More...
Rect | GetRect (int id)
| Get the value of the Rect type. More...
bool | GetRect (string name, out Rect value)
| Get the value of the Rect type. More...
bool | GetRect (int id, out Rect value)
| Get the value of the Rect type. More...
bool | SetBounds (string name, Bounds value)
| It wants to set the value of the Bounds type. More...
bool | SetBounds (int id, Bounds value)
| It wants to set the value of the Bounds type. More...
bool | TryGetBounds (string name, out Bounds value)
| Get the value of the Bounds type. More...
bool | TryGetBounds (int id, out Bounds value)
| Get the value of the Bounds type. More...
Bounds | GetBounds (string name, Bounds defaultValue)
| Get the value of the Bounds type. More...
Bounds | GetBounds (string name)
| Get the value of the Bounds type. More...
Bounds | GetBounds (int id, Bounds defaultValue)
| Get the value of the Bounds type. More...
Bounds | GetBounds (int id)
| Get the value of the Bounds type. More...
bool | GetBounds (string name, out Bounds value)
| Get the value of the Bounds type. More...
bool | GetBounds (int id, out Bounds value)
| Get the value of the Bounds type. More...
bool | SetColor (string name, Color value)
| It wants to set the value of the Color type. More...
bool | SetColor (int id, Color value)
| It wants to set the value of the Color type. More...
bool | TryGetColor (string name, out Color value)
| Get the value of the Color type. More...
bool | TryGetColor (int id, out Color value)
| Get the value of the Color type. More...
Color | GetColor (string name, Color defaultValue)
| Get the value of the Color type. More...
Color | GetColor (string name)
| Get the value of the Color type. More...
Color | GetColor (int id, Color defaultValue)
| Get the value of the Color type. More...
Color | GetColor (int id)
| Get the value of the Color type. More...
bool | GetColor (string name, out Color value)
| Get the value of the Color type. More...
bool | GetColor (int id, out Color value)
| Get the value of the Color type. More...
bool | SetGameObject (string name, GameObject value)
| It wants to set the value of the GameObject type. More...
bool | SetGameObject (int id, GameObject value)
| It wants to set the value of the GameObject type. More...
bool | TryGetGameObject (string name, out GameObject value)
| Get the value of the GameObject type. More...
bool | TryGetGameObject (int id, out GameObject value)
| Get the value of the GameObject type. More...
GameObject | GetGameObject (string name, GameObject defaultValue=null)
| Get the value of the GameObject type. More...
GameObject | GetGameObject (int id, GameObject defaultValue=null)
| Get the value of the GameObject type. More...
bool | GetGameObject (string name, out GameObject value)
| Get the value of the GameObject type. More...
bool | GetGameObject (int id, out GameObject value)
| Get the value of the GameObject type. More...
bool | SetTransform (string name, Transform value)
| It wants to set the value of the Transform type. More...
bool | SetTransform (int id, Transform value)
| It wants to set the value of the Transform type. More...
bool | TryGetTransform (string name, out Transform value)
| Get the value of the Transform type. More...
bool | TryGetTransform (int id, out Transform value)
| Get the value of the Transform type. More...
Transform | GetTransform (string name, Transform defaultValue=null)
| Get the value of the Transform type. More...
Transform | GetTransform (int id, Transform defaultValue=null)
| Get the value of the Transform type. More...
bool | GetTransform (string name, out Transform value)
| Get the value of the Transform type. More...
bool | GetTransform (int id, out Transform value)
| Get the value of the Transform type. More...
bool | SetRectTransform (string name, RectTransform value)
| It wants to set the value of the RectTransform type. More...
bool | SetRectTransform (int id, RectTransform value)
| It wants to set the value of the RectTransform type. More...
bool | TryGetRectTransform (string name, out RectTransform value)
| Get the value of the RectTransform type. More...
bool | TryGetRectTransform (int id, out RectTransform value)
| Get the value of the RectTransform type. More...
RectTransform | GetRectTransform (string name, RectTransform defaultValue=null)
| Get the value of the RectTransform type. More...
RectTransform | GetRectTransform (int id, RectTransform defaultValue=null)
| Get the value of the RectTransform type. More...
bool | GetRectTransform (string name, out RectTransform value)
| Get the value of the RectTransform type. More...
bool | GetRectTransform (int id, out RectTransform value)
| Get the value of the RectTransform type. More...
bool | SetRigidbody (string name, Rigidbody value)
| It wants to set the value of the Rigidbody type. More...
bool | SetRigidbody (int id, Rigidbody value)
| It wants to set the value of the Rigidbody type. More...
bool | TryGetRigidbody (string name, out Rigidbody value)
| Get the value of the Rigidbody type. More...
bool | TryGetRigidbody (int id, out Rigidbody value)
| Get the value of the Rigidbody type. More...
Rigidbody | GetRigidbody (string name, Rigidbody defaultValue=null)
| Get the value of the Rigidbody type. More...
Rigidbody | GetRigidbody (int id, Rigidbody defaultValue=null)
| Get the value of the Rigidbody type. More...
bool | GetRigidbody (string name, out Rigidbody value)
| Get the value of the Rigidbody type. More...
bool | GetRigidbody (int id, out Rigidbody value)
| Get the value of the Rigidbody type. More...
bool | SetRigidbody2D (string name, Rigidbody2D value)
| It wants to set the value of the Rigidbody2D type. More...
bool | SetRigidbody2D (int id, Rigidbody2D value)
| It wants to set the value of the Rigidbody2D type. More...
bool | TryGetRigidbody2D (string name, out Rigidbody2D value)
| Get the value of the Rigidbody2D type. More...
bool | TryGetRigidbody2D (int id, out Rigidbody2D value)
| Get the value of the Rigidbody2D type. More...
Rigidbody2D | GetRigidbody2D (string name, Rigidbody2D defaultValue=null)
| Get the value of the Rigidbody2D type. More...
Rigidbody2D | GetRigidbody2D (int id, Rigidbody2D defaultValue=null)
| Get the value of the Rigidbody2D type. More...
bool | GetRigidbody2D (string name, out Rigidbody2D value)
| Get the value of the Rigidbody2D type. More...
bool | GetRigidbody2D (int id, out Rigidbody2D value)
| Get the value of the Rigidbody2D type. More...
bool | SetComponent (string name, Component value)
| It wants to set the value of the Component type. More...
bool | SetComponent (int id, Component value)
| It wants to set the value of the Component type. More...
bool | TryGetComponent (string name, out Component value)
| Get the value of the Component type. More...
bool | TryGetComponent (int id, out Component value)
| Get the value of the Component type. More...
Component | GetComponent (string name, Component defaultValue=null)
| Get the value of the Component type. More...
Component | GetComponent (int id, Component defaultValue=null)
| Get the value of the Component type. More...
bool | SetComponent< TComponent > (string name, TComponent value)
| It wants to set the value of the Component type. More...
bool | SetComponent< TComponent > (int id, TComponent value)
| It wants to set the value of the Component type. More...
bool | TryGetComponent< TComponent > (string name, out TComponent value)
| Get the value of the Component type. More...
bool | TryGetComponent< TComponent > (int id, out TComponent value)
| Get the value of the Component type. More...
TComponent | GetComponent< TComponent > (string name, TComponent defaultValue=null)
| Get the value of the Component type. More...
TComponent | GetComponent< TComponent > (int id, TComponent defaultValue=null)
| Get the value of the Component type. More...
bool | SetVariable (string name, object value)
| It wants to set the value of Variable. More...
bool | SetVariable (int id, object value)
| It wants to set the value of Variable. More...
bool | TryGetVariable (string name, out object value)
| Get the value of Variable. More...
bool | TryGetVariable (int id, out object value)
| Get the value of Variable. More...
object | GetVariable (string name, object defaultValue=null)
| Get the value of Variable. More...
object | GetVariable (int id, object defaultValue=null)
| Get the value of Variable. More...
bool | SetVariable< TVariable > (string name, TVariable value)
| It wants to set the value of Variable. More...
bool | SetVariable< TVariable > (int id, TVariable value)
| It wants to set the value of Variable. More...
bool | TryGetVariable< TVariable > (string name, out TVariable value)
| Get the value of Variable. More...
bool | TryGetVariable< TVariable > (int id, out TVariable value)
| Get the value of Variable. More...
TVariable | GetVariable< TVariable > (string name, TVariable defaultValue=default(TVariable))
| Get the value of Variable. More...
TVariable | GetVariable< TVariable > (int id, TVariable defaultValue=default(TVariable))
| Get the value of Variable. More...
Parameter | FindParameterContainsVariable (VariableBase variable)
| Acquisition of parameters VariableBase belongs. More...
void | DestroySubComponents ()
| Method to be used internally. More...

## Static Public Member Functions
static void | Destroy (ParameterContainerInternal parameterContainer)
| Destroy ParameterContainerInternal More...

## Properties
Parameter [] | parameters`[get]`
| Get an array of parameters. More...
int | parameterCount`[get]`
| Get a count of Parameter. More...
bool | isDeserialized`[get]`
| Returns whether or not deserialization has been done. More...
Properties inherited from ParameterContainerBase
ParameterContainerInternal | container`[get]`
| It returns the ParameterContainer entity. More...
ParameterContainerInternal | defaultContainer`[get]`
| It returns the original ParameterContainer. More...

## Events
System.Action | onAfterDeserialize
| Callback after deserialization More...

## Detailed Description

ParameterContainer.

Is used by attaching to GameObject.

## Member Function Documentation

## ◆ AddParam()

Parameter AddParam | ( | string | name,
|  | Parameter.Type | type
| ) |  |

Add a parameter.

Parameters

  name | Name. It is changed to a unique name if the name had been duplicated.
  type | Type.

Returns
  It added parameters.

## ◆ DeleteParam() [1/3]

void DeleteParam | ( | Parameter | parameter | ) |

Delete a parameter.

Parameters

  parameter | Parameter.

## ◆ DeleteParam() [2/3]

void DeleteParam | ( | string | name | ) |

Delete the parameters by name.

Parameters

  name | Name.

## ◆ DeleteParam() [3/3]

void DeleteParam | ( | int | id | ) |

Delete the parameters by ID.

Parameters

  id | ID.

## ◆ Destroy()

static void Destroy | ( | ParameterContainerInternal | parameterContainer | ) |
| static

Destroy ParameterContainerInternal

Parameters

  parameterContainer | ParameterContainerInternal

## ◆ DestroySubComponents()

void DestroySubComponents | ( |  | ) |

Method to be used internally.

In particular there is no need to call.

## ◆ FindParameterContainsVariable()

Parameter FindParameterContainsVariable | ( | VariableBase | variable | ) |

Acquisition of parameters VariableBase belongs.

Parameters

  variable | VariableBase

Returns
  Parameters VariableBase belongs. Return null if not.

## ◆ GetBool() [1/4]

bool GetBool | ( | string | name,
|  | bool | defaultValue = `false`
| ) |  |

Get the value of the Bool type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetBool() [2/4]

bool GetBool | ( | int | id,
|  | bool | defaultValue = `false`
| ) |  |

Get the value of the Bool type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetBool() [3/4]

bool GetBool | ( | string | name,
|  | out bool | value
| ) |  |

Get the value of the Bool type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ GetBool() [4/4]

bool GetBool | ( | int | id,
|  | out bool | value
| ) |  |

Get the value of the Bool type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ GetBounds() [1/6]

Bounds GetBounds | ( | string | name,
|  | Bounds | defaultValue
| ) |  |

Get the value of the Bounds type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetBounds() [2/6]

Bounds GetBounds | ( | string | name | ) |

Get the value of the Bounds type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns 0 bounds.

## ◆ GetBounds() [3/6]

Bounds GetBounds | ( | int | id,
|  | Bounds | defaultValue
| ) |  |

Get the value of the Bounds type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetBounds() [4/6]

Bounds GetBounds | ( | int | id | ) |

Get the value of the Bounds type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns 0 bounds.

## ◆ GetBounds() [5/6]

bool GetBounds | ( | string | name,
|  | out Bounds | value
| ) |  |

Get the value of the Bounds type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetBounds() [6/6]

bool GetBounds | ( | int | id,
|  | out Bounds | value
| ) |  |

Get the value of the Bounds type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetColor() [1/6]

Color GetColor | ( | string | name,
|  | Color | defaultValue
| ) |  |

Get the value of the Color type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetColor() [2/6]

Color GetColor | ( | string | name | ) |

Get the value of the Color type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns Color.white.

## ◆ GetColor() [3/6]

Color GetColor | ( | int | id,
|  | Color | defaultValue
| ) |  |

Get the value of the Color type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetColor() [4/6]

Color GetColor | ( | int | id | ) |

Get the value of the Color type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns Color.white.

## ◆ GetColor() [5/6]

bool GetColor | ( | string | name,
|  | out Color | value
| ) |  |

Get the value of the Color type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetColor() [6/6]

bool GetColor | ( | int | id,
|  | out Color | value
| ) |  |

Get the value of the Color type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetComponent() [1/2]

Component GetComponent | ( | string | name,
|  | Component | defaultValue = `null`
| ) |  |

Get the value of the Component type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The true when there parameters of the specified name.

## ◆ GetComponent() [2/2]

Component GetComponent | ( | int | id,
|  | Component | defaultValue = `null`
| ) |  |

Get the value of the Component type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The true when there parameters of the specified name.

## ◆ GetComponent< TComponent >() [1/2]

TComponent GetComponent< TComponent > | ( | string | name,
|  | TComponent | defaultValue = `null`
| ) |  |

Get the value of the Component type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Type Constraints

  TComponent | : | Component |

## ◆ GetComponent< TComponent >() [2/2]

TComponent GetComponent< TComponent > | ( | int | id,
|  | TComponent | defaultValue = `null`
| ) |  |

Get the value of the Component type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Type Constraints

  TComponent | : | Component |

## ◆ GetEnum() [1/2]

System.Enum GetEnum | ( | string | name,
|  | System.Enum | defaultValue = `null`
| ) |  |

Get the value of the Enum type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetEnum() [2/2]

System.Enum GetEnum | ( | int | id,
|  | System.Enum | defaultValue = `null`
| ) |  |

Get the value of the Enum type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetEnum< TEnum >() [1/4]

TEnum GetEnum< TEnum > | ( | string | name,
|  | TEnum | defaultValue
| ) |  |

Get the value of the Enum type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Type Constraints

  TEnum | : | struct |

## ◆ GetEnum< TEnum >() [2/4]

TEnum GetEnum< TEnum > | ( | string | name | ) |

Get the value of the Enum type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns default(TEnum).

Type Constraints

  TEnum | : | struct |

## ◆ GetEnum< TEnum >() [3/4]

TEnum GetEnum< TEnum > | ( | int | id,
|  | TEnum | defaultValue
| ) |  |

Get the value of the Enum type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Type Constraints

  TEnum | : | struct |

## ◆ GetEnum< TEnum >() [4/4]

TEnum GetEnum< TEnum > | ( | int | id | ) |

Get the value of the Enum type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns default(TEnum).

Type Constraints

  TEnum | : | struct |

## ◆ GetEnumInt() [1/2]

int GetEnumInt | ( | string | name,
|  | int | defaultValue = `default(int)`
| ) |  |

Get the value of the Enum type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetEnumInt() [2/2]

int GetEnumInt | ( | int | id,
|  | int | defaultValue = `default(int)`
| ) |  |

Get the value of the Enum type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetFloat() [1/4]

float GetFloat | ( | string | name,
|  | float | defaultValue = `0.0f`
| ) |  |

Get the value of the Float type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetFloat() [2/4]

float GetFloat | ( | int | id,
|  | float | defaultValue = `0.0f`
| ) |  |

Get the value of the Float type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetFloat() [3/4]

bool GetFloat | ( | string | name,
|  | out float | value
| ) |  |

Get the value of the Float type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetFloat() [4/4]

bool GetFloat | ( | int | id,
|  | out float | value
| ) |  |

Get the value of the Float type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetGameObject() [1/4]

GameObject GetGameObject | ( | string | name,
|  | GameObject | defaultValue = `null`
| ) |  |

Get the value of the GameObject type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetGameObject() [2/4]

GameObject GetGameObject | ( | int | id,
|  | GameObject | defaultValue = `null`
| ) |  |

Get the value of the GameObject type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetGameObject() [3/4]

bool GetGameObject | ( | string | name,
|  | out GameObject | value
| ) |  |

Get the value of the GameObject type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetGameObject() [4/4]

bool GetGameObject | ( | int | id,
|  | out GameObject | value
| ) |  |

Get the value of the GameObject type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetInt() [1/4]

int GetInt | ( | int | id,
|  | int | defaultValue = `0`
| ) |  |

Get the value of the Int type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetInt() [2/4]

int GetInt | ( | string | name,
|  | int | defaultValue = `0`
| ) |  |

Get the value of the Int type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetInt() [3/4]

bool GetInt | ( | string | name,
|  | out int | value
| ) |  |

Get the value of the Int type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ GetInt() [4/4]

bool GetInt | ( | int | id,
|  | out int | value
| ) |  |

Get the value of the Int type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ GetLong() [1/4]

long GetLong | ( | string | name,
|  | long | defaultValue = `0L`
| ) |  |

Get the value of the Long type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetLong() [2/4]

long GetLong | ( | int | id,
|  | long | defaultValue = `0L`
| ) |  |

Get the value of the Long type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetLong() [3/4]

bool GetLong | ( | string | name,
|  | out long | value
| ) |  |

Get the value of the Long type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ GetLong() [4/4]

bool GetLong | ( | int | id,
|  | out long | value
| ) |  |

Get the value of the Long type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ GetParam() [1/2]

Parameter GetParam | ( | string | name | ) |

Get the parameters from the name.

Parameters

  name | Name.

Returns
  Parameters. Return null if you did not exist.

## ◆ GetParam() [2/2]

Parameter GetParam | ( | int | id | ) |

Get the parameters from the ID.

Parameters

  id | ID.

Returns
  Parameters. Return null if you did not exist.

## ◆ GetParameterFromIndex()

Parameter GetParameterFromIndex | ( | int | index | ) |

Get Parameter from index.

Parameters

  index | Index

Returns
  Parameter

## ◆ GetParamID()

int GetParamID | ( | string | name | ) |

Get the parameters ID from the name.

Parameters

  name | Name.

Returns
  Parameters ID. Return 0 if you did not exist.

## ◆ GetQuaternion() [1/6]

Quaternion GetQuaternion | ( | string | name,
|  | Quaternion | defaultValue
| ) |  |

Get the value of the Quaternion type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetQuaternion() [2/6]

Quaternion GetQuaternion | ( | string | name | ) |

Get the value of the Quaternion type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns Quaternion.identity.

## ◆ GetQuaternion() [3/6]

Quaternion GetQuaternion | ( | int | id,
|  | Quaternion | defaultValue
| ) |  |

Get the value of the Quaternion type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetQuaternion() [4/6]

Quaternion GetQuaternion | ( | int | id | ) |

Get the value of the Quaternion type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns Quaternion.identity.

## ◆ GetQuaternion() [5/6]

bool GetQuaternion | ( | string | name,
|  | out Quaternion | value
| ) |  |

Get the value of the Quaternion type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetQuaternion() [6/6]

bool GetQuaternion | ( | int | id,
|  | out Quaternion | value
| ) |  |

Get the value of the Quaternion type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetRect() [1/6]

Rect GetRect | ( | string | name,
|  | Rect | defaultValue
| ) |  |

Get the value of the Rect type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetRect() [2/6]

Rect GetRect | ( | string | name | ) |

Get the value of the Rect type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns Rect(0, 0, 0, 0).

## ◆ GetRect() [3/6]

Rect GetRect | ( | int | id,
|  | Rect | defaultValue
| ) |  |

Get the value of the Rect type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetRect() [4/6]

Rect GetRect | ( | int | id | ) |

Get the value of the Rect type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns Rect(0, 0, 0, 0).

## ◆ GetRect() [5/6]

bool GetRect | ( | string | name,
|  | out Rect | value
| ) |  |

Get the value of the Rect type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetRect() [6/6]

bool GetRect | ( | int | id,
|  | out Rect | value
| ) |  |

Get the value of the Rect type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetRectTransform() [1/4]

RectTransform GetRectTransform | ( | string | name,
|  | RectTransform | defaultValue = `null`
| ) |  |

Get the value of the RectTransform type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetRectTransform() [2/4]

RectTransform GetRectTransform | ( | int | id,
|  | RectTransform | defaultValue = `null`
| ) |  |

Get the value of the RectTransform type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetRectTransform() [3/4]

bool GetRectTransform | ( | string | name,
|  | out RectTransform | value
| ) |  |

Get the value of the RectTransform type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetRectTransform() [4/4]

bool GetRectTransform | ( | int | id,
|  | out RectTransform | value
| ) |  |

Get the value of the RectTransform type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetRigidbody() [1/4]

Rigidbody GetRigidbody | ( | string | name,
|  | Rigidbody | defaultValue = `null`
| ) |  |

Get the value of the Rigidbody type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetRigidbody() [2/4]

Rigidbody GetRigidbody | ( | int | id,
|  | Rigidbody | defaultValue = `null`
| ) |  |

Get the value of the Rigidbody type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetRigidbody() [3/4]

bool GetRigidbody | ( | string | name,
|  | out Rigidbody | value
| ) |  |

Get the value of the Rigidbody type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetRigidbody() [4/4]

bool GetRigidbody | ( | int | id,
|  | out Rigidbody | value
| ) |  |

Get the value of the Rigidbody type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetRigidbody2D() [1/4]

Rigidbody2D GetRigidbody2D | ( | string | name,
|  | Rigidbody2D | defaultValue = `null`
| ) |  |

Get the value of the Rigidbody2D type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The true when there parameters of the specified name.

## ◆ GetRigidbody2D() [2/4]

Rigidbody2D GetRigidbody2D | ( | int | id,
|  | Rigidbody2D | defaultValue = `null`
| ) |  |

Get the value of the Rigidbody2D type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The true when there parameters of the specified name.

## ◆ GetRigidbody2D() [3/4]

bool GetRigidbody2D | ( | string | name,
|  | out Rigidbody2D | value
| ) |  |

Get the value of the Rigidbody2D type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetRigidbody2D() [4/4]

bool GetRigidbody2D | ( | int | id,
|  | out Rigidbody2D | value
| ) |  |

Get the value of the Rigidbody2D type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetString() [1/4]

string GetString | ( | string | name,
|  | string | defaultValue = `""`
| ) |  |

Get the value of the String type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetString() [2/4]

string GetString | ( | int | id,
|  | string | defaultValue = `""`
| ) |  |

Get the value of the String type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetString() [3/4]

bool GetString | ( | string | name,
|  | out string | value
| ) |  |

Get the value of the String type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ GetString() [4/4]

bool GetString | ( | int | id,
|  | out string | value
| ) |  |

Get the value of the String type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ GetTransform() [1/4]

Transform GetTransform | ( | string | name,
|  | Transform | defaultValue = `null`
| ) |  |

Get the value of the Transform type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetTransform() [2/4]

Transform GetTransform | ( | int | id,
|  | Transform | defaultValue = `null`
| ) |  |

Get the value of the Transform type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetTransform() [3/4]

bool GetTransform | ( | string | name,
|  | out Transform | value
| ) |  |

Get the value of the Transform type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetTransform() [4/4]

bool GetTransform | ( | int | id,
|  | out Transform | value
| ) |  |

Get the value of the Transform type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetVariable() [1/2]

object GetVariable | ( | string | name,
|  | object | defaultValue = `null`
| ) |  |

Get the value of Variable.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetVariable() [2/2]

object GetVariable | ( | int | id,
|  | object | defaultValue = `null`
| ) |  |

Get the value of Variable.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetVariable< TVariable >() [1/2]

TVariable GetVariable< TVariable > | ( | string | name,
|  | TVariable | defaultValue = `default(TVariable)`
| ) |  |

Get the value of Variable.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetVariable< TVariable >() [2/2]

TVariable GetVariable< TVariable > | ( | int | id,
|  | TVariable | defaultValue = `default(TVariable)`
| ) |  |

Get the value of Variable.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetVector2() [1/6]

Vector2 GetVector2 | ( | string | name,
|  | Vector2 | defaultValue
| ) |  |

Get the value of the Vector2 type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetVector2() [2/6]

Vector2 GetVector2 | ( | string | name | ) |

Get the value of the Vector2 type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns Vector2.zero.

## ◆ GetVector2() [3/6]

Vector2 GetVector2 | ( | int | id,
|  | Vector2 | defaultValue
| ) |  |

Get the value of the Vector2 type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetVector2() [4/6]

Vector2 GetVector2 | ( | int | id | ) |

Get the value of the Vector2 type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns Vector2.zero.

## ◆ GetVector2() [5/6]

bool GetVector2 | ( | string | name,
|  | out Vector2 | value
| ) |  |

Get the value of the Vector2 type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetVector2() [6/6]

bool GetVector2 | ( | int | id,
|  | out Vector2 | value
| ) |  |

Get the value of the Vector2 type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetVector3() [1/6]

Vector3 GetVector3 | ( | string | name,
|  | Vector3 | defaultValue
| ) |  |

Get the value of the Vector3 type.

Parameters

  name | Name.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetVector3() [2/6]

Vector3 GetVector3 | ( | string | name | ) |

Get the value of the Vector3 type.

Parameters

  name | Name.

Returns
  The value of the parameter. If there is no parameter, it returns Vector3.zero.

## ◆ GetVector3() [3/6]

Vector3 GetVector3 | ( | int | id,
|  | Vector3 | defaultValue
| ) |  |

Get the value of the Vector3 type.

Parameters

  id | ID.
  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetVector3() [4/6]

Vector3 GetVector3 | ( | int | id | ) |

Get the value of the Vector3 type.

Parameters

  id | ID.

Returns
  The value of the parameter. If there is no parameter, it returns Vector3.zero.

## ◆ GetVector3() [5/6]

bool GetVector3 | ( | string | name,
|  | out Vector3 | value
| ) |  |

Get the value of the Vector3 type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ GetVector3() [6/6]

bool GetVector3 | ( | int | id,
|  | out Vector3 | value
| ) |  |

Get the value of the Vector3 type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ IsEnum() [1/2]

bool IsEnum | ( | int | id | ) |

It wants to set the value of the Enum type.

Parameters

  id | ID.

Returns
  Returns true if it is an Enum type.

## ◆ IsEnum() [2/2]

bool IsEnum | ( | string | name | ) |

It wants to set the value of the Enum type.

Parameters

  name | Name.

Returns
  Returns true if it is an Enum type.

## ◆ IsParameterType() [1/2]

bool IsParameterType | ( | string | name,
|  | Parameter.Type | type
| ) |  |

Determine the type of parameter.

Parameters

  name | Name.
  type | Parameter type.

Returns
  Returns true if the parameter type matches type.

## ◆ IsParameterType() [2/2]

bool IsParameterType | ( | int | id,
|  | Parameter.Type | type
| ) |  |

Determine the type of parameter.

Parameters

  id | ID.
  type | Parameter type.

Returns
  Returns true if the parameter type matches type.

## ◆ MakeUniqueName()

string MakeUniqueName | ( | string | name | ) |

It generates a name that does not overlap.

Parameters

  name | The original name.

Returns
  Result.

## ◆ Refresh()

void Refresh | ( |  | ) |

Editor only

## ◆ SetBool() [1/2]

bool SetBool | ( | string | name,
|  | bool | value
| ) |  |

It wants to set the value of the Bool type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetBool() [2/2]

bool SetBool | ( | int | id,
|  | bool | value
| ) |  |

It wants to set the value of the Bool type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetBounds() [1/2]

bool SetBounds | ( | string | name,
|  | Bounds | value
| ) |  |

It wants to set the value of the Bounds type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetBounds() [2/2]

bool SetBounds | ( | int | id,
|  | Bounds | value
| ) |  |

It wants to set the value of the Bounds type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetColor() [1/2]

bool SetColor | ( | string | name,
|  | Color | value
| ) |  |

It wants to set the value of the Color type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetColor() [2/2]

bool SetColor | ( | int | id,
|  | Color | value
| ) |  |

It wants to set the value of the Color type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetComponent() [1/2]

bool SetComponent | ( | string | name,
|  | Component | value
| ) |  |

It wants to set the value of the Component type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetComponent() [2/2]

bool SetComponent | ( | int | id,
|  | Component | value
| ) |  |

It wants to set the value of the Component type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetComponent< TComponent >() [1/2]

bool SetComponent< TComponent > | ( | string | name,
|  | TComponent | value
| ) |  |

It wants to set the value of the Component type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TComponent | : | Component |

## ◆ SetComponent< TComponent >() [2/2]

bool SetComponent< TComponent > | ( | int | id,
|  | TComponent | value
| ) |  |

It wants to set the value of the Component type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TComponent | : | Component |

## ◆ SetEnum() [1/2]

bool SetEnum | ( | string | name,
|  | System.Enum | value
| ) |  |

It wants to set the value of the Enum type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetEnum() [2/2]

bool SetEnum | ( | int | id,
|  | System.Enum | value
| ) |  |

It wants to set the value of the Enum type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetEnum< TEnum >() [1/2]

bool SetEnum< TEnum > | ( | string | name,
|  | TEnum | value
| ) |  |

It wants to set the value of the Enum type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TEnum | : | struct |

## ◆ SetEnum< TEnum >() [2/2]

bool SetEnum< TEnum > | ( | int | id,
|  | TEnum | value
| ) |  |

It wants to set the value of the Enum type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TEnum | : | struct |

## ◆ SetEnumInt() [1/2]

bool SetEnumInt | ( | string | name,
|  | int | value
| ) |  |

It wants to set the value of the Enum type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetEnumInt() [2/2]

bool SetEnumInt | ( | int | id,
|  | int | value
| ) |  |

It wants to set the value of the Enum type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetFloat() [1/2]

bool SetFloat | ( | string | name,
|  | float | value
| ) |  |

It wants to set the value of the Float type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetFloat() [2/2]

bool SetFloat | ( | int | id,
|  | float | value
| ) |  |

It wants to set the value of the Float type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetGameObject() [1/2]

bool SetGameObject | ( | string | name,
|  | GameObject | value
| ) |  |

It wants to set the value of the GameObject type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetGameObject() [2/2]

bool SetGameObject | ( | int | id,
|  | GameObject | value
| ) |  |

It wants to set the value of the GameObject type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetInt() [1/2]

bool SetInt | ( | string | name,
|  | int | value
| ) |  |

It wants to set the value of the Int type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetInt() [2/2]

bool SetInt | ( | int | id,
|  | int | value
| ) |  |

It wants to set the value of the Int type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetLong() [1/2]

bool SetLong | ( | string | name,
|  | long | value
| ) |  |

It wants to set the value of the Long type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetLong() [2/2]

bool SetLong | ( | int | id,
|  | long | value
| ) |  |

It wants to set the value of the Long type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetQuaternion() [1/2]

bool SetQuaternion | ( | string | name,
|  | Quaternion | value
| ) |  |

It wants to set the value of the Quaternion type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetQuaternion() [2/2]

bool SetQuaternion | ( | int | id,
|  | Quaternion | value
| ) |  |

It wants to set the value of the Quaternion type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetRect() [1/2]

bool SetRect | ( | string | name,
|  | Rect | value
| ) |  |

It wants to set the value of the Rect type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetRect() [2/2]

bool SetRect | ( | int | id,
|  | Rect | value
| ) |  |

It wants to set the value of the Rect type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetRectTransform() [1/2]

bool SetRectTransform | ( | string | name,
|  | RectTransform | value
| ) |  |

It wants to set the value of the RectTransform type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetRectTransform() [2/2]

bool SetRectTransform | ( | int | id,
|  | RectTransform | value
| ) |  |

It wants to set the value of the RectTransform type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetRigidbody() [1/2]

bool SetRigidbody | ( | string | name,
|  | Rigidbody | value
| ) |  |

It wants to set the value of the Rigidbody type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetRigidbody() [2/2]

bool SetRigidbody | ( | int | id,
|  | Rigidbody | value
| ) |  |

It wants to set the value of the Rigidbody type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetRigidbody2D() [1/2]

bool SetRigidbody2D | ( | string | name,
|  | Rigidbody2D | value
| ) |  |

It wants to set the value of the Rigidbody2D type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetRigidbody2D() [2/2]

bool SetRigidbody2D | ( | int | id,
|  | Rigidbody2D | value
| ) |  |

It wants to set the value of the Rigidbody2D type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetString() [1/2]

bool SetString | ( | string | name,
|  | string | value
| ) |  |

It wants to set the value of the String type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetString() [2/2]

bool SetString | ( | int | id,
|  | string | value
| ) |  |

It wants to set the value of the String type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetTransform() [1/2]

bool SetTransform | ( | string | name,
|  | Transform | value
| ) |  |

It wants to set the value of the Transform type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetTransform() [2/2]

bool SetTransform | ( | int | id,
|  | Transform | value
| ) |  |

It wants to set the value of the Transform type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetVariable() [1/2]

bool SetVariable | ( | string | name,
|  | object | value
| ) |  |

It wants to set the value of Variable.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetVariable() [2/2]

bool SetVariable | ( | int | id,
|  | object | value
| ) |  |

It wants to set the value of Variable.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetVariable< TVariable >() [1/2]

bool SetVariable< TVariable > | ( | string | name,
|  | TVariable | value
| ) |  |

It wants to set the value of Variable.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetVariable< TVariable >() [2/2]

bool SetVariable< TVariable > | ( | int | id,
|  | TVariable | value
| ) |  |

It wants to set the value of Variable.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetVector2() [1/2]

bool SetVector2 | ( | string | name,
|  | Vector2 | value
| ) |  |

It wants to set the value of the Vector2 type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetVector2() [2/2]

bool SetVector2 | ( | int | id,
|  | Vector2 | value
| ) |  |

It wants to set the value of the Vector2 type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetVector3() [1/2]

bool SetVector3 | ( | string | name,
|  | Vector3 | value
| ) |  |

It wants to set the value of the Vector3 type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ SetVector3() [2/2]

bool SetVector3 | ( | int | id,
|  | Vector3 | value
| ) |  |

It wants to set the value of the Vector3 type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetBool() [1/2]

bool TryGetBool | ( | string | name,
|  | out bool | value
| ) |  |

Get the value of the Bool type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetBool() [2/2]

bool TryGetBool | ( | int | id,
|  | out bool | value
| ) |  |

Get the value of the Bool type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetBounds() [1/2]

bool TryGetBounds | ( | string | name,
|  | out Bounds | value
| ) |  |

Get the value of the Bounds type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetBounds() [2/2]

bool TryGetBounds | ( | int | id,
|  | out Bounds | value
| ) |  |

Get the value of the Bounds type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetColor() [1/2]

bool TryGetColor | ( | string | name,
|  | out Color | value
| ) |  |

Get the value of the Color type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetColor() [2/2]

bool TryGetColor | ( | int | id,
|  | out Color | value
| ) |  |

Get the value of the Color type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetComponent() [1/2]

bool TryGetComponent | ( | string | name,
|  | out Component | value
| ) |  |

Get the value of the Component type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetComponent() [2/2]

bool TryGetComponent | ( | int | id,
|  | out Component | value
| ) |  |

Get the value of the Component type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetComponent< TComponent >() [1/2]

bool TryGetComponent< TComponent > | ( | string | name,
|  | out TComponent | value
| ) |  |

Get the value of the Component type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TComponent | : | Component |

## ◆ TryGetComponent< TComponent >() [2/2]

bool TryGetComponent< TComponent > | ( | int | id,
|  | out TComponent | value
| ) |  |

Get the value of the Component type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TComponent | : | Component |

## ◆ TryGetEnum() [1/2]

bool TryGetEnum | ( | string | name,
|  | out System.Enum | value
| ) |  |

Get the value of the Enum type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetEnum() [2/2]

bool TryGetEnum | ( | int | id,
|  | out System.Enum | value
| ) |  |

Get the value of the Enum type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetEnum< TEnum >() [1/2]

bool TryGetEnum< TEnum > | ( | string | name,
|  | out TEnum | value
| ) |  |

Get the value of the Enum type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TEnum | : | struct |

## ◆ TryGetEnum< TEnum >() [2/2]

bool TryGetEnum< TEnum > | ( | int | id,
|  | out TEnum | value
| ) |  |

Get the value of the Enum type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

Type Constraints

  TEnum | : | struct |

## ◆ TryGetEnumInt() [1/2]

bool TryGetEnumInt | ( | string | name,
|  | out int | value
| ) |  |

Get the value of the Enum type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetEnumInt() [2/2]

bool TryGetEnumInt | ( | int | id,
|  | out int | value
| ) |  |

Get the value of the Enum type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetFloat() [1/2]

bool TryGetFloat | ( | string | name,
|  | out float | value
| ) |  |

Get the value of the Float type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetFloat() [2/2]

bool TryGetFloat | ( | int | id,
|  | out float | value
| ) |  |

Get the value of the Float type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetGameObject() [1/2]

bool TryGetGameObject | ( | string | name,
|  | out GameObject | value
| ) |  |

Get the value of the GameObject type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetGameObject() [2/2]

bool TryGetGameObject | ( | int | id,
|  | out GameObject | value
| ) |  |

Get the value of the GameObject type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetInt() [1/2]

bool TryGetInt | ( | string | name,
|  | out int | value
| ) |  |

Get the value of the Int type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetInt() [2/2]

bool TryGetInt | ( | int | id,
|  | out int | value
| ) |  |

Get the value of the Int type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetLong() [1/2]

bool TryGetLong | ( | string | name,
|  | out long | value
| ) |  |

Get the value of the Long type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetLong() [2/2]

bool TryGetLong | ( | int | id,
|  | out long | value
| ) |  |

Get the value of the Long type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetQuaternion() [1/2]

bool TryGetQuaternion | ( | string | name,
|  | out Quaternion | value
| ) |  |

Get the value of the Quaternion type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetQuaternion() [2/2]

bool TryGetQuaternion | ( | int | id,
|  | out Quaternion | value
| ) |  |

Get the value of the Quaternion type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetRect() [1/2]

bool TryGetRect | ( | string | name,
|  | out Rect | value
| ) |  |

Get the value of the Rect type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetRect() [2/2]

bool TryGetRect | ( | int | id,
|  | out Rect | value
| ) |  |

Get the value of the Rect type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetRectTransform() [1/2]

bool TryGetRectTransform | ( | string | name,
|  | out RectTransform | value
| ) |  |

Get the value of the RectTransform type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetRectTransform() [2/2]

bool TryGetRectTransform | ( | int | id,
|  | out RectTransform | value
| ) |  |

Get the value of the RectTransform type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetRigidbody() [1/2]

bool TryGetRigidbody | ( | string | name,
|  | out Rigidbody | value
| ) |  |

Get the value of the Rigidbody type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetRigidbody() [2/2]

bool TryGetRigidbody | ( | int | id,
|  | out Rigidbody | value
| ) |  |

Get the value of the Rigidbody type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetRigidbody2D() [1/2]

bool TryGetRigidbody2D | ( | string | name,
|  | out Rigidbody2D | value
| ) |  |

Get the value of the Rigidbody2D type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetRigidbody2D() [2/2]

bool TryGetRigidbody2D | ( | int | id,
|  | out Rigidbody2D | value
| ) |  |

Get the value of the Rigidbody2D type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetString() [1/2]

bool TryGetString | ( | string | name,
|  | out string | value
| ) |  |

Get the value of the String type.

Parameters

  name | Name.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetString() [2/2]

bool TryGetString | ( | int | id,
|  | out string | value
| ) |  |

Get the value of the String type.

Parameters

  id | ID.
  value | Value.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetTransform() [1/2]

bool TryGetTransform | ( | string | name,
|  | out Transform | value
| ) |  |

Get the value of the Transform type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetTransform() [2/2]

bool TryGetTransform | ( | int | id,
|  | out Transform | value
| ) |  |

Get the value of the Transform type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetVariable() [1/2]

bool TryGetVariable | ( | string | name,
|  | out object | value
| ) |  |

Get the value of Variable.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetVariable() [2/2]

bool TryGetVariable | ( | int | id,
|  | out object | value
| ) |  |

Get the value of Variable.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetVariable< TVariable >() [1/2]

bool TryGetVariable< TVariable > | ( | string | name,
|  | out TVariable | value
| ) |  |

Get the value of Variable.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetVariable< TVariable >() [2/2]

bool TryGetVariable< TVariable > | ( | int | id,
|  | out TVariable | value
| ) |  |

Get the value of Variable.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetVector2() [1/2]

bool TryGetVector2 | ( | string | name,
|  | out Vector2 | value
| ) |  |

Get the value of the Vector2 type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetVector2() [2/2]

bool TryGetVector2 | ( | int | id,
|  | out Vector2 | value
| ) |  |

Get the value of the Vector2 type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetVector3() [1/2]

bool TryGetVector3 | ( | string | name,
|  | out Vector3 | value
| ) |  |

Get the value of the Vector3 type.

Parameters

  name | Name.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## ◆ TryGetVector3() [2/2]

bool TryGetVector3 | ( | int | id,
|  | out Vector3 | value
| ) |  |

Get the value of the Vector3 type.

Parameters

  id | ID.
  value | The value you get.

Returns
  The true when there parameters of the specified name.

## Property Documentation

## ◆ isDeserialized

bool isDeserialized
| get

Returns whether or not deserialization has been done.

## ◆ parameterCount

int parameterCount
| get

Get a count of Parameter.

## ◆ parameters

Parameter [] parameters
| get

Get an array of parameters.

## Event Documentation

## ◆ onAfterDeserialize

System.Action onAfterDeserialize

Callback after deserialization